--AH:ScriptId=c101018c-03e8-4fb5-8889-1be672b7dde5;2978
DELETE [Configuration]
 WHERE [Value_Text] = ''

INSERT INTO [Configuration]
SELECT [Scope_Name] = 'Config2',
       [Key_Name] = C2.[Key_Name2],
	   [Value_Text] = C.[Value_Text]
  FROM [Configuration] C
       INNER JOIN (
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'ActivationCode', [Key_Name2] = 'Licensing.ActivationCode'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'LicenseKey', [Key_Name2] = 'Licensing.Key'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'ExtensionsPath', [Key_Name2] = 'Extensions.ExtensionsPath'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'PackagesRootPath', [Key_Name2] = 'Storage.PackagesRootPath'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'NpmPackagesLibrary', [Key_Name2] = 'Storage.NpmPackagesLibrary'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'ProGetPackagesLibrary', [Key_Name2] = 'Storage.ProGetPackagesLibrary'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'MavenArtifactLibrary', [Key_Name2] = 'Storage.MavenArtifactLibrary'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_Enable', [Key_Name2] = 'Proxy.Enabled'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_UseDefault', [Key_Name2] = 'Proxy.UseDefault'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_BypassOnLocal', [Key_Name2] = 'Proxy.BypassOnLocal'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_Host', [Key_Name2] = 'Proxy.Host'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_Port', [Key_Name2] = 'Proxy.Port'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_Username', [Key_Name2] = 'Proxy.UserName'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_Password', [Key_Name2] = 'Proxy.Password'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'Proxy_BypassUrls', [Key_Name2] = 'Proxy.BypassUrls'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'ProGetBaseUrl', [Key_Name2] = 'Web.BaseUrl'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'ApiKey', [Key_Name2] = 'Feeds.ApiKey'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'FeedRetentionDryRun', [Key_Name2] = 'Feeds.RetentionDryRun'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'AllowDropPathImportOverwrite', [Key_Name2] = 'Feeds.AllowDropPathImportOverwrite'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'UseIntegratedWebServer', [Key_Name2] = 'Web.UseIntegratedWebServer'
		UNION ALL
		SELECT [Scope_Name] = 'Core', [Key_Name] = 'PackageStatisticsEnabled', [Key_Name2] = 'Feeds.PackageStatisticsEnabled'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'CustomHomePageHtml', [Key_Name2] = 'Web.CustomHomePageHtml'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'DebugLevel', [Key_Name2] = 'Web.DebugLevel'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'IntegratedAuthenticationEnabled', [Key_Name2] = 'Web.IntegratedAuthenticationEnabled'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'LoadBalancingMode', [Key_Name2] = 'Web.LoadBalancingMode'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'UserDirectoryId', [Key_Name2] = 'Web.UserDirectoryId'
		UNION ALL
		SELECT [Scope_Name] = 'WebApp', [Key_Name] = 'WebCustomErrors', [Key_Name2] = 'Web.CustomErrors'
		UNION ALL
		SELECT [Scope_Name] = 'Service', [Key_Name] = 'DropPathMonitorExecuterThrottle', [Key_Name2] = 'Service.DropPathMonitorExecuterThrottle'
		UNION ALL
		SELECT [Scope_Name] = 'Service', [Key_Name] = 'HighAvailabilityMode', [Key_Name2] = 'Service.HighAvailabilityMode'
		UNION ALL
		SELECT [Scope_Name] = 'Service', [Key_Name] = 'PingTime', [Key_Name2] = 'Service.PingTime'
		UNION ALL
		SELECT [Scope_Name] = 'Service', [Key_Name] = 'FailoverPeriod', [Key_Name2] = 'Service.FailoverPeriod'
		UNION ALL
		SELECT [Scope_Name],
		       [Key_Name],
			   [Key_Name2] = 'Updates.' + [Key_Name]
		  FROM [Configuration]
		 WHERE [Scope_Name] = 'UpdateChecker') C2
    ON C.[Scope_Name] = C2.[Scope_Name] AND C.[Key_Name] = C2.[Key_Name]


DELETE [Configuration]
 WHERE [Scope_Name] <> 'Config2'

GO

ALTER TABLE [Configuration]
	DROP CONSTRAINT [PK__Configuration]

GO

ALTER TABLE [Configuration]
	DROP COLUMN [Scope_Name]

ALTER TABLE [Configuration]
	ALTER COLUMN [Key_Name] VARCHAR(200) NOT NULL

GO

ALTER TABLE [Configuration]
	ADD CONSTRAINT [PK__Configuration]
		PRIMARY KEY ([Key_Name])
