EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'EventTypes_GetEventTypes',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'EventTypes',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the event types.'
GO

IF OBJECT_ID('[EventTypes_GetEventTypes]') IS NOT NULL DROP PROCEDURE [EventTypes_GetEventTypes]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO


CREATE PROCEDURE [EventTypes_GetEventTypes]
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT *
	  FROM [EventTypes]

END
GO

GRANT EXECUTE ON [EventTypes_GetEventTypes] TO [ProGetUser_Role]